module Paths_peano (
    version,
    getBinDir, getLibDir, getDataDir, getLibexecDir,
    getDataFileName
  ) where

import Data.Version (Version(..))
import System.Environment (getEnv)

version :: Version
version = Version {versionBranch = [0,0,1], versionTags = []}

bindir, libdir, datadir, libexecdir :: FilePath

bindir     = "/home/exfalso/.cabal/bin"
libdir     = "/home/exfalso/.cabal/lib/peano-0.0.1/ghc-7.4.1"
datadir    = "/home/exfalso/.cabal/share/peano-0.0.1"
libexecdir = "/home/exfalso/.cabal/libexec"

getBinDir, getLibDir, getDataDir, getLibexecDir :: IO FilePath
getBinDir = catch (getEnv "peano_bindir") (\_ -> return bindir)
getLibDir = catch (getEnv "peano_libdir") (\_ -> return libdir)
getDataDir = catch (getEnv "peano_datadir") (\_ -> return datadir)
getLibexecDir = catch (getEnv "peano_libexecdir") (\_ -> return libexecdir)

getDataFileName :: FilePath -> IO FilePath
getDataFileName name = do
  dir <- getDataDir
  return (dir ++ "/" ++ name)
